Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLDataElement Class Reference

`#include <vtkXMLDataElement.h>`

Inheritance diagram for vtkXMLDataElement:

[legend]
Collaboration diagram for vtkXMLDataElement:

[legend]
List of all members.

## Detailed Description

Represents an XML element and those nested inside.

Date:
  2002/12/09 14:50:08

Revision:
  1.2

vtkXMLDataElement is used by vtkXMLDataParser to represent an XML element. It provides methods to access the element's attributes and nested elements in a convenient manner. This allows easy traversal of an input XML file by vtkXMLReader and its subclasses.

See also:
  vtkXMLDataParser

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkXMLDataElement.cxx)`
  - .`h` (`/IO/vtkXMLDataElement.h)`

Definition at line 48 of file vtkXMLDataElement.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
const char * | GetAttribute (const char *name)
virtual char * | GetName ()
virtual char * | GetId ()
int | GetScalarAttribute (const char *name, int &value)
int | GetScalarAttribute (const char *name, float &value)
int | GetScalarAttribute (const char *name, unsigned long &value)
int | GetVectorAttribute (const char *name, int length, int *value)
int | GetVectorAttribute (const char *name, int length, float *value)
int | GetVectorAttribute (const char *name, int length, unsigned long *value)
int | GetWordTypeAttribute (const char *name, int &value)
vtkXMLDataElement * | GetParent ()
int | GetNumberOfNestedElements ()
vtkXMLDataElement * | GetNestedElement (int index)
vtkXMLDataElement * | FindNestedElement (const char *id)
vtkXMLDataElement * | LookupElement (const char *id)
virtual unsigned long | GetXMLByteIndex ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLDataElement * | SafeDownCast (vtkObject *o)
vtkXMLDataElement * | New ()
## Protected Methods
| vtkXMLDataElement ()
| ~vtkXMLDataElement ()
virtual void | SetName (const char *)
virtual void | SetId (const char *)
virtual void | SetXMLByteIndex (unsigned long)
void | ReadXMLAttributes (const char **atts)
void | AddNestedElement (vtkXMLDataElement *element)
void | SeekInlineDataPosition (vtkXMLDataParser *parser)
void | PrintXML (ostream &os, vtkIndent indent)
vtkXMLDataElement * | LookupElementInScope (const char *id)
vtkXMLDataElement * | LookupElementUpScope (const char *id)
void | SetParent (vtkXMLDataElement *parent)
## Static Protected Methods
int | IsSpace (char c)
## Protected Attributes
char * | Name
char * | Id
unsigned long | XMLByteIndex
unsigned long | InlineDataPosition
char ** | AttributeNames
char ** | AttributeValues
int | NumberOfAttributes
int | AttributesSize
int | NumberOfNestedElements
int | NestedElementsSize
vtkXMLDataElement ** | NestedElements
vtkXMLDataElement * | Parent
## Friends
class | vtkXMLDataParser

## Member Typedef Documentation

typedef vtkObject vtkXMLDataElement::Superclass

| Reimplemented from vtkObject. Definition at line 51 of file vtkXMLDataElement.h.

## Constructor & Destructor Documentation

vtkXMLDataElement::vtkXMLDataElement | ( |  | ) | `[protected]`

vtkXMLDataElement::~vtkXMLDataElement | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLDataElement::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkXMLDataElement::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkXMLDataElement::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkXMLDataElement* vtkXMLDataElement::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

void vtkXMLDataElement::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

vtkXMLDataElement* vtkXMLDataElement::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual char* vtkXMLDataElement::GetName | ( |  | ) | `[virtual]`

| Get the name of the element. This is its XML tag.

virtual char* vtkXMLDataElement::GetId | ( |  | ) | `[virtual]`

| Get the value of the id attribute of the element, if any.

const char* vtkXMLDataElement::GetAttribute | ( | const char * | name | ) |

| Get the attribute with the given name. If it doesn't exist, returns 0.

int vtkXMLDataElement::GetScalarAttribute | ( | const char * | name,
|  | int & | value
| ) |

| Get the attribute with the given name and converted to a scalar value. Returns whether value was extracted.

int vtkXMLDataElement::GetScalarAttribute | ( | const char * | name,
|  | float & | value
| ) |

| Get the attribute with the given name and converted to a scalar value. Returns whether value was extracted.

int vtkXMLDataElement::GetScalarAttribute | ( | const char * | name,
|  | unsigned long & | value
| ) |

| Get the attribute with the given name and converted to a scalar value. Returns whether value was extracted.

int vtkXMLDataElement::GetVectorAttribute | ( | const char * | name,
|  | int | length,
|  | int * | value
| ) |

| Get the attribute with the given name and converted to a scalar value. Returns length of vector read.

int vtkXMLDataElement::GetVectorAttribute | ( | const char * | name,
|  | int | length,
|  | float * | value
| ) |

| Get the attribute with the given name and converted to a scalar value. Returns length of vector read.

int vtkXMLDataElement::GetVectorAttribute | ( | const char * | name,
|  | int | length,
|  | unsigned long * | value
| ) |

| Get the attribute with the given name and converted to a scalar value. Returns length of vector read.

int vtkXMLDataElement::GetWordTypeAttribute | ( | const char * | name,
|  | int & | value
| ) |

| Get the attribute with the given name and converted to a word type such sas VTK_FLOAT or VTK_UNSIGNED_LONG.

vtkXMLDataElement* vtkXMLDataElement::GetParent | ( |  | ) |

| Get the parent of this element.

int vtkXMLDataElement::GetNumberOfNestedElements | ( |  | ) |

| Get the number of elements nested in this one.

vtkXMLDataElement* vtkXMLDataElement::GetNestedElement | ( | int | index | ) |

| Get the element nested in this one at the given index.

vtkXMLDataElement* vtkXMLDataElement::FindNestedElement | ( | const char * | id | ) |

| Find a nested element with the given id.

vtkXMLDataElement* vtkXMLDataElement::LookupElement | ( | const char * | id | ) |

| Lookup the element with the given id, starting at this scope.

virtual unsigned long vtkXMLDataElement::GetXMLByteIndex | ( |  | ) | `[virtual]`

| Get the offset from the beginning of the XML document to this element.

virtual void vtkXMLDataElement::SetName | ( | const char * |  | ) | `[protected, virtual]`

virtual void vtkXMLDataElement::SetId | ( | const char * |  | ) | `[protected, virtual]`

virtual void vtkXMLDataElement::SetXMLByteIndex | ( | unsigned | long | ) | `[protected, virtual]`

void vtkXMLDataElement::ReadXMLAttributes | ( | const char ** | atts | ) | `[protected]`

void vtkXMLDataElement::AddNestedElement | ( | vtkXMLDataElement * | element | ) | `[protected]`

void vtkXMLDataElement::SeekInlineDataPosition | ( | vtkXMLDataParser * | parser | ) | `[protected]`

void vtkXMLDataElement::PrintXML | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[protected]`

vtkXMLDataElement* vtkXMLDataElement::LookupElementInScope | ( | const char * | id | ) | `[protected]`

vtkXMLDataElement* vtkXMLDataElement::LookupElementUpScope | ( | const char * | id | ) | `[protected]`

void vtkXMLDataElement::SetParent | ( | vtkXMLDataElement * | parent | ) | `[protected]`

int vtkXMLDataElement::IsSpace | ( | char | c | ) | `[static, protected]`

## Friends And Related Function Documentation

friend class vtkXMLDataParser`[friend]`

| Definition at line 163 of file vtkXMLDataElement.h.

## Member Data Documentation

char* vtkXMLDataElement::Name`[protected]`

| Definition at line 121 of file vtkXMLDataElement.h.

char* vtkXMLDataElement::Id`[protected]`

| Definition at line 124 of file vtkXMLDataElement.h.

unsigned long vtkXMLDataElement::XMLByteIndex`[protected]`

| Definition at line 127 of file vtkXMLDataElement.h.

unsigned long vtkXMLDataElement::InlineDataPosition`[protected]`

| Definition at line 130 of file vtkXMLDataElement.h.

char** vtkXMLDataElement::AttributeNames`[protected]`

| Definition at line 133 of file vtkXMLDataElement.h.

char** vtkXMLDataElement::AttributeValues`[protected]`

| Definition at line 134 of file vtkXMLDataElement.h.

int vtkXMLDataElement::NumberOfAttributes`[protected]`

| Definition at line 135 of file vtkXMLDataElement.h.

int vtkXMLDataElement::AttributesSize`[protected]`

| Definition at line 136 of file vtkXMLDataElement.h.

int vtkXMLDataElement::NumberOfNestedElements`[protected]`

| Definition at line 139 of file vtkXMLDataElement.h.

int vtkXMLDataElement::NestedElementsSize`[protected]`

| Definition at line 140 of file vtkXMLDataElement.h.

vtkXMLDataElement** vtkXMLDataElement::NestedElements`[protected]`

| Definition at line 141 of file vtkXMLDataElement.h.

vtkXMLDataElement* vtkXMLDataElement::Parent`[protected]`

| Definition at line 144 of file vtkXMLDataElement.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLDataElement.h